Set party approval limits
curl --request PUT \
--url https://api.natural.com/parties/me/limits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"attributes": {
"perTransaction": 250000,
"perDay": 1000000,
"perMonth": null,
"currency": "USD"
}
}
}
'import requests
url = "https://api.natural.com/parties/me/limits"
payload = { "data": { "attributes": {
"perTransaction": 250000,
"perDay": 1000000,
"perMonth": None,
"currency": "USD"
} } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
attributes: {perTransaction: 250000, perDay: 1000000, perMonth: null, currency: 'USD'}
}
})
};
fetch('https://api.natural.com/parties/me/limits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.natural.com/parties/me/limits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'attributes' => [
'perTransaction' => 250000,
'perDay' => 1000000,
'perMonth' => null,
'currency' => 'USD'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.natural.com/parties/me/limits"
payload := strings.NewReader("{\n \"data\": {\n \"attributes\": {\n \"perTransaction\": 250000,\n \"perDay\": 1000000,\n \"perMonth\": null,\n \"currency\": \"USD\"\n }\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.natural.com/parties/me/limits")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"data\": {\n \"attributes\": {\n \"perTransaction\": 250000,\n \"perDay\": 1000000,\n \"perMonth\": null,\n \"currency\": \"USD\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.natural.com/parties/me/limits")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"data\": {\n \"attributes\": {\n \"perTransaction\": 250000,\n \"perDay\": 1000000,\n \"perMonth\": null,\n \"currency\": \"USD\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"type": "partyLimitPolicy",
"id": "pty_019cd1798d617f65a79cb965dda9eac3",
"attributes": {
"limits": {
"perTransaction": 250000,
"perDay": 1000000,
"perMonth": null
},
"currency": "USD",
"updatedAt": "2026-01-04T15:30:00.000Z"
}
}
}Limits
Set party approval limits
Set the approval limits of your party. The call replaces all three limits, so a limit you omit or set to null is cleared. Returns the Party Limit Policy object.
PUT
/
parties
/
me
/
limits
Set party approval limits
curl --request PUT \
--url https://api.natural.com/parties/me/limits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"attributes": {
"perTransaction": 250000,
"perDay": 1000000,
"perMonth": null,
"currency": "USD"
}
}
}
'import requests
url = "https://api.natural.com/parties/me/limits"
payload = { "data": { "attributes": {
"perTransaction": 250000,
"perDay": 1000000,
"perMonth": None,
"currency": "USD"
} } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
attributes: {perTransaction: 250000, perDay: 1000000, perMonth: null, currency: 'USD'}
}
})
};
fetch('https://api.natural.com/parties/me/limits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.natural.com/parties/me/limits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'attributes' => [
'perTransaction' => 250000,
'perDay' => 1000000,
'perMonth' => null,
'currency' => 'USD'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.natural.com/parties/me/limits"
payload := strings.NewReader("{\n \"data\": {\n \"attributes\": {\n \"perTransaction\": 250000,\n \"perDay\": 1000000,\n \"perMonth\": null,\n \"currency\": \"USD\"\n }\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.natural.com/parties/me/limits")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"data\": {\n \"attributes\": {\n \"perTransaction\": 250000,\n \"perDay\": 1000000,\n \"perMonth\": null,\n \"currency\": \"USD\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.natural.com/parties/me/limits")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"data\": {\n \"attributes\": {\n \"perTransaction\": 250000,\n \"perDay\": 1000000,\n \"perMonth\": null,\n \"currency\": \"USD\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"type": "partyLimitPolicy",
"id": "pty_019cd1798d617f65a79cb965dda9eac3",
"attributes": {
"limits": {
"perTransaction": 250000,
"perDay": 1000000,
"perMonth": null
},
"currency": "USD",
"updatedAt": "2026-01-04T15:30:00.000Z"
}
}
}Authorizations
Headers
Was this page helpful?